## org.plovr.docgen
Class DocWriter

    java.lang.Object
      org.plovr.docgen.DocWriter

    public class DocWriter

extends java.lang.Object

Constructor Summary
`DocWriter(java.io.File documentationRootDirectory, java.util.Map<java.lang.String,ClassDescriptor> classes, java.util.Map<java.lang.String,LibraryDescriptor> libraries)`

Method Summary
`void` `write()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocWriter

    public DocWriter(java.io.File documentationRootDirectory,
                     java.util.Map<java.lang.String,ClassDescriptor> classes,
                     java.util.Map<java.lang.String,LibraryDescriptor> libraries)

Method Detail

### write

    public void write()
               throws java.io.IOException

  Throws:
    `java.io.IOException`